; Ŀ
;  Script:  Go                                                             
;  Purpose: This script begins the sample application.  If is does not     
;  detect the procedure library named Paradox, it attempts to generate this
;  library by running the script Genlib.  If the variable autolib is       
;  already defined, this script loads the Mainmenu procedure from the      
;  library Paradox and then executes it.  If autolib is not defined, this  
;  script loads Mainmenu directly (this is possible only when a procedure  
;  is stored in a library named Paradox and autolib is unassigned).        
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
;Test the Paradox version.
IF VERSION() < 4
  THEN
    QUIT "This application cannot run Paradox versions earlier than 4.0."
ENDIF

IF NOT ISFILE("Paradox.lib")
  THEN
    IF NOT ISFILE("GENLIB.SC")
      THEN
        QUIT "Cannot find the library generation script GENLIB.  Cannot continue."
      ELSE
        PLAY "Genlib"
    ENDIF
ENDIF

IF ISASSIGNED(autolib)
  THEN
    READLIB "Paradox" MainMenu
ENDIF

MainMenu()      
